category | ZendX
package | ZendX_Db
subpackage | Adapter
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## Force the connection to close.

    closeConnection() : void

## Returns the column descriptions for a table.

    describeTable(string $tableName, string $schemaName = null) : array

The return value is an associative array keyed by the column name, as returned by the RDBMS.

The value of each array element is an associative array with the following keys:

SCHEMA_NAME => string; name of database or schema TABLE_NAME => string; COLUMN_NAME => string; column name COLUMN_POSITION => number; ordinal position of column in table DATA_TYPE => string; SQL datatype name of column DEFAULT => string; default expression of column, null if none NULLABLE => boolean; true if column can have nulls LENGTH => number; length of CHAR/VARCHAR SCALE => number; scale of NUMERIC/DECIMAL PRECISION => number; precision of NUMERIC/DECIMAL UNSIGNED => boolean; unsigned property of an integer type PRIMARY => boolean; true if column is part of the primary key PRIMARY_POSITION => integer; position of column in primary key IDENTITY => integer; true if column is auto-generated with unique values

### Parameters

#### $tableName

`string`

#### $schemaName

`string`

OPTIONAL

### Returns

`array`

## Retrieve server version in PHP style

    getServerVersion() : string

### Returns

`string`

## Return the status of current transaction.

    getTransaction() : boolean

### Returns

`boolean`

## Test if a connection is active

    isConnected() : boolean

### Returns

`boolean`

## Gets the last ID generated automatically by an IDENTITY/AUTOINCREMENT column.

    lastInsertId(string $tableName = null, string $primaryKey = null) : string

As a convention, on RDBMS brands that support sequences (e.g. Firebird, Oracle, PostgreSQL, DB2), this method forms the name of a sequence from the arguments and returns the last id generated by that sequence. On RDBMS brands that support IDENTITY/AUTOINCREMENT columns, this method returns the last value generated for such a column, and the table name argument is disregarded.

Firebird does not support IDENTITY columns, so if the sequence is not specified, this method returns null.

### Parameters

#### $tableName

`string`

OPTIONAL Name of table.

#### $primaryKey

`string`

OPTIONAL Name of primary key column.

### Exceptions

`\ZendX_Db_Adapter_Firebird_Exception` |

### Returns

`string`

## Return the most recent value from the specified sequence in the database.

    lastSequenceId(string $sequenceName) : string

This is supported only on RDBMS brands that support sequences (e.g. Firebird, Oracle, PostgreSQL, DB2). Other RDBMS brands return null.

### Parameters

#### $sequenceName

`string`

### Returns

`string`

## Adds an adapter-specific LIMIT clause to the SELECT statement.

    limit(string $sql, integer $count, integer $offset = 0) : string

### Parameters

#### $sql

`string`

#### $count

`integer`

#### $offset

`integer`

### Exceptions

`\Zend_Db_Adapter_Exception` |

### Returns

`string`

## Returns a list of the tables in the database.

    listTables() : array

### Returns

`array`

## Generate a new value from the specified sequence in the database, and return it.

    nextSequenceId(string $sequenceName) : integer

This is supported only on RDBMS brands that support sequences (e.g. Firebird, Oracle, PostgreSQL, DB2). Other RDBMS brands return null.

### Parameters

#### $sequenceName

`string`

### Returns

`integer`

## Prepare a statement and return a Statement resource.

    prepare(string $sql) : \ZendX_Db_Statement_Firebird

### Parameters

#### $sql

`string`

SQL query

### Returns

`\ZendX_Db_Statement_Firebird`

## Quote a table identifier and alias.

    quoteTableAs(string|array|\Zend_Db_Expr $ident, string $alias = null, boolean $auto = false) : string

### Parameters

#### $ident

`string` `array``\Zend_Db_Expr`

The identifier or expression.

#### $alias

`string`

An alias for the table.

#### $auto

`boolean`

If true, heed the AUTO_QUOTE_IDENTIFIERS config option.

### Returns

`string`The quoted identifier and alias.

## Set the fetch mode.

    setFetchMode(integer $mode) : void

### Parameters

#### $mode

`integer`

### Exceptions

`\ZendX_Db_Adapter_Firebird_Exception` |

## Check if the adapter supports real SQL parameters.

    supportsParameters(string $type) : boolean

### Parameters

#### $type

`string`

'positional' or 'named'

### Returns

`boolean`

## Begin a transaction.

    _beginTransaction() : void

## Commit a transaction.

    _commit() : void

### Exceptions

`\ZendX_Db_Adapter_Firebird_Exception` |

## Creates a connection to the database.

    _connect() : void

### Exceptions

`\ZendX_Db_Adapter_Firebird_Exception` |

## Format a connection string to connect to database

    _formatDbConnString(string $host, integer $port, string $dbname) : string

### Parameters

#### $host

`string`

#### $port

`integer`

#### $dbname

`string`

### Returns

`string`

## Quote a raw string.

    _quote(string $value) : string

### Parameters

#### $value

`string`

Raw string

### Returns

`string`Quoted string

## Roll-back a transaction.

    _rollBack() : void

### Exceptions

`\ZendX_Db_Adapter_Firebird_Exception` |

### Properties

## Specifies whether the adapter automatically quotes identifiers.

    $_autoQuoteIdentifiers : boolean

### Default

`true`

If true, most SQL generated by Zend_Db classes applies identifier quoting automatically. If false, developer must quote identifiers themselves by calling quoteIdentifier().

## Keys are UPPERCASE SQL datatypes or the constants Zend_Db::INT_TYPE, Zend_Db::BIGINT_TYPE, or Zend_Db::FLOAT_TYPE.

    $_numericDataTypes : array

### Default

`array(\Zend_Db::INT_TYPE => \Zend_Db::INT_TYPE, \Zend_Db::BIGINT_TYPE => \Zend_Db::BIGINT_TYPE, \Zend_Db::FLOAT_TYPE => \Zend_Db::FLOAT_TYPE, 'SMALLINT' => \Zend_Db::INT_TYPE, 'INT' => \Zend_Db::INT_TYPE, 'INTEGER' => \Zend_Db::INT_TYPE, 'BIGINT' => \Zend_Db::BIGINT_TYPE, 'INT64' => \Zend_Db::BIGINT_TYPE, 'DECIMAL' => \Zend_Db::FLOAT_TYPE, 'DOUBLE PRECISION' => \Zend_Db::FLOAT_TYPE, 'DOUBLE' => \Zend_Db::FLOAT_TYPE, 'NUMERIC' => \Zend_Db::FLOAT_TYPE, 'FLOAT' => \Zend_Db::FLOAT_TYPE)`

Values are: 0 = 32-bit integer 1 = 64-bit integer 2 = float or decimal

## The transaction resource.

    $_transResource : \transaction

### Default

`null`